[build-system]
build-backend = "flit_core.buildapi"
requires = ["flit_core >=3.8.0,<4"]

[project]
name = "rougail-base"
version = "1.2.0rc1"
authors = [{name = "Emmanuel Garette", email = "gnunux@gnunux.info"}]
readme = "README.md"
description = "A consistency handling system that was initially designed in the configuration management"
requires-python = ">=3.10"
license = {file = "LICENSE"}
classifiers = [
    "License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)",
    "Programming Language :: Python",
    "Programming Language :: Python :: 3.10",
    "Programming Language :: Python :: 3.11",
    "Programming Language :: Python :: 3.12",
    "Programming Language :: Python :: 3.13",
    "Programming Language :: Python :: 3.14",
    "Programming Language :: Python :: 3",
    "Operating System :: OS Independent",
    "Natural Language :: English",
    "Natural Language :: French",

]
dependencies = [
    "jinja2 ~= 3.1.4",
    "tiramisu ~= 5.0"
]

[project.optional-dependencies]
dev = [
    "pylint ~= 3.0.3",
    "pytest ~= 8.2.2",
]

[tool.flit.module]
name = "rougail"

[tool.flit.sdist]
exclude = [
    "src/rougail/annotator",
    "src/rougail/config",
    "src/rougail/convert",
    "src/rougail/structural_commandline",
    "src/rougail/structural_directory",
    "src/rougail/update",
    ]

[project.urls]
Home = "https://forge.cloud.silique.fr/stove/rougail"
